# Boost Exception

### current_exception_cast

#include <boost/exception/current_exception_cast.hpp>

    namespace
    boost
        {
        template <class E>
        E * current_exception_cast();
        }

#### Requirements:

This function must not be called outside of a catch block.

#### Returns:

A pointer of type E to the current exception object, or null if the current exception object can not be converted to E *.

#### Throws:

Nothing.

See also: Boost Exception | boost/exception/current_exception_cast.hpp